<?xml version="1.0" encoding="utf-8"?>
<WL5G3N0:definitions xmlns:WL5G3N1="http://zk.ws.epichust.com/" name="UexDaqInfoInterface" targetNamespace="http://zk.ws.epichust.com/" xmlns:WL5G3N0="http://schemas.xmlsoap.org/wsdl/">
  <WL5G3N0:types>
    <xs:schema xmlns:tns="http://zk.ws.epichust.com/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:ns1="http://zk.ws.epichust.com/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" elementFormDefault="unqualified" targetNamespace="http://zk.ws.epichust.com/" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xsd:element name="daq" type="ns1:daq" />
      <xsd:element name="daqResponse" type="ns1:daqResponse" />
      <xsd:complexType name="daq">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="arg0" type="ns1:interfaceRequestHeader" />
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="arg1" type="ns1:uexDaqInfoExTo" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="interfaceRequestHeader">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="interfaceID" type="xsd:string" />
          <xsd:element minOccurs="0" name="messageID" type="xsd:string" />
          <xsd:element minOccurs="0" name="receiver" type="xsd:string" />
          <xsd:element minOccurs="0" name="sender" type="xsd:string" />
          <xsd:element minOccurs="0" name="transID" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="uexDaqInfoExTo">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="containerID" type="xsd:string" />
          <xsd:element minOccurs="0" name="daqDate" type="xsd:string" />
          <xsd:element minOccurs="0" name="daqID" type="xsd:string" />
          <xsd:element minOccurs="0" name="daqType" type="xsd:string" />
          <xsd:element minOccurs="0" name="discardQty" type="xsd:string" />
          <xsd:element minOccurs="0" name="effectiveQty" type="xsd:string" />
          <xsd:element minOccurs="0" name="opCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="operateType" type="xsd:string" />
          <xsd:element minOccurs="0" name="produCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="site" type="xsd:string" />
          <xsd:element minOccurs="0" name="station" type="xsd:string" />
          <xsd:element minOccurs="0" name="unEffectiveQty" type="xsd:string" />
          <xsd:element minOccurs="0" name="workCenter" type="xsd:string" />
          <xsd:element minOccurs="0" name="workOrderCode" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="daqResponse">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="return" type="ns1:interfaceResponse" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="interfaceResponse">
        <xsd:sequence>
          <xsd:element minOccurs="0" name="comment" type="xsd:string" />
          <xsd:element minOccurs="0" name="interfaceID" type="xsd:string" />
          <xsd:element minOccurs="0" name="messageID" type="xsd:string" />
          <xsd:element minOccurs="0" name="resultCode" type="xsd:string" />
          <xsd:element minOccurs="0" name="resultMessage" type="xsd:string" />
          <xsd:element minOccurs="0" name="resultType" type="xsd:string" />
          <xsd:element minOccurs="0" name="transID" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
    </xs:schema>
  </WL5G3N0:types>
  <WL5G3N0:message name="daq">
    <WL5G3N0:part name="parameters" element="WL5G3N1:daq" />
  </WL5G3N0:message>
  <WL5G3N0:message name="daqResponse">
    <WL5G3N0:part name="parameters" element="WL5G3N1:daqResponse" />
  </WL5G3N0:message>
  <WL5G3N0:portType name="UexDaqInfoInterface">
    <WL5G3N0:operation name="daq">
      <WL5G3N0:input name="daq" message="WL5G3N1:daq" />
      <WL5G3N0:output name="daqResponse" message="WL5G3N1:daqResponse" />
    </WL5G3N0:operation>
  </WL5G3N0:portType>
</WL5G3N0:definitions>